"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_animated_radio_button_1 = tslib_1.__importDefault(require("react-native-animated-radio-button"));
/**
 * ? Local Imports
 */
const RadioButtonGroup_style_1 = require("./RadioButtonGroup.style");
class RadioButtonGroup extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            selectedOptionId: props.initial,
        };
    }
    render() {
        const { data, horizontal = false } = this.props;
        return (<react_native_1.View style={RadioButtonGroup_style_1._container(horizontal)}>
        {data &&
                data.map((item) => {
                    const _isActive = item.id === this.state.selectedOptionId;
                    return (<react_native_1.View style={RadioButtonGroup_style_1._eachContainer(horizontal)} key={item.id}>
                <react_native_animated_radio_button_1.default key={item.id} {...item} isActive={_isActive} innerBackgroundColor={item.color} innerContainerStyle={item.innerStyle} style={item.outerStyle} onPress={() => {
                            this.setState({ selectedOptionId: item.id }, () => {
                                this.props.onChange && this.props.onChange(item);
                            });
                        }}/>
              </react_native_1.View>);
                })}
      </react_native_1.View>);
    }
}
exports.default = RadioButtonGroup;
//# sourceMappingURL=RadioButtonGroup.js.map